Subject: bug#19572: closed (Re: bug#19572: Acknowledgement (24.4; M-x comint-history-isearch-backward doesn't search multi-line history entries))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Jan 2015 07:56:03 +0000

Your bug report

#19572: 24.4; M-x comint-history-isearch-backward doesn't search multi-line history entries

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19572: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19572
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19572: Acknowledgement (24.4; M-x comint-history-isearch-backward doesn't search multi-line history entries)
From: João Távora <[email-masked]>
To: Juri Linkov <[email-masked]>, [email-masked]
Cc: Stefan Monnier <[email-masked]>, [email-masked]
Date: Tue, 13 Jan 2015 07:54:43 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Done. Two commits, one ChangeLog entry, informal backport references
copied from what others do. Looked ok.

On Mon, Jan 12, 2015 at 9:02 PM, Juri Linkov <[email-masked]> wrote:
>>> In the meantime, I found that
>>>
>>>     https://lists.gnu.org/archive/html/emacs-devel/2014-12/msg00299.html
>>>
>>> offers a fix to exactly this problem, but I didn't find in the
>>> emacs-24 branch.
>>>
>>> Shouldn't it go to emacs-24 as well?
>>
>> Hmm... I guess you're right, it probably belongs in emacs-24.
>> Can you backport it?
>
> Sorry, I didn't realize that support for multi-line input should go
> to emacs-24.  The commits that need to be backported are:
>
> f6c3965074dbf5f355ecce739104fb89fb4d90f8
> a0ae3d7331f6126941f90c6b80c293685004e165

-- 
João Távora

Subject: 24.4; M-x comint-history-isearch-backward doesn't search multi-line history entries
From: [email-masked] (João Távora)
To: [email-masked]
Date: Mon, 12 Jan 2015 10:36:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

   emacs -Q
   M-x ielm RET
   'foo RET
   'bar RET
   '(baz M-j bin) RET
   M-x comint-history-isearch-backward RET b a z

expected the multi-line entry to be restored to input, but
comint.el fails to find it.

This is because `comint-history-isearch-search' uses

    (goto-char (comint-line-beginning-position))

I think it should use `comint-goto-process-mark'. comint.el is a big
beast but I think this makes sense. Should I fix it thusly? (unless
anyone beats me to it)

João